
 # 保持 Room 的核心类不被混淆
 -keep class androidx.room.** { *; }
 -keep class androidx.sqlite.db.** { *; }

 # 保持 Room 数据库类的基本结构
 -keep class * extends androidx.room.RoomDatabase { *; }

 # 保持 Room DAO 接口
 -keep @androidx.room.Dao interface * { *; }
 -keep @androidx.room.Dao class * { *; }

 # 保持 Room 实体类
 -keep @androidx.room.Entity class * { *; }

 # 保持 Room 的注解类
 -keep @androidx.room.Database class * { *; }



-keep class com.omicronapplications.** { *; }
-keep class net.sf.sevenzipjbinding.** { *; }


